<?xml version="1.0" encoding="utf-8"?>
<databaseChangeLog
    xmlns="http://www.liquibase.org/xml/ns/dbchangelog"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xsi:schemaLocation="http://www.liquibase.org/xml/ns/dbchangelog http://www.liquibase.org/xml/ns/dbchangelog/dbchangelog-3.5.xsd">
    <!--
        Added the constraints for entity CustomerOrder.
    -->
    <changeSet id="20170101000000-2" author="jhipster">
        
        <addForeignKeyConstraint baseColumnNames="idinternal"
                                 baseTableName="customer_order"
                                 constraintName="fk_customer_order_internal_id"
                                 referencedColumnNames="idinternal"
                                 referencedTableName="internal"/>

        <addForeignKeyConstraint baseColumnNames="idcustomer"
                                 baseTableName="customer_order"
                                 constraintName="fk_customer_order_customer_id"
                                 referencedColumnNames="idcustomer"
                                 referencedTableName="customer"/>

        <addForeignKeyConstraint baseColumnNames="idbillto"
                                 baseTableName="customer_order"
                                 constraintName="fk_customer_order_bill_to_id"
                                 referencedColumnNames="idbillto"
                                 referencedTableName="bill_to"/>

    </changeSet>
</databaseChangeLog>
